Error message: BUG In pixman_region32_init_rect: Invalid rectangle passed error in evince

Bug #1473060 reported by Steve Kroon on 2015-07-09
26
This bug affects 5 people
Affects Status Importance Assigned to Milestone
pixman (Ubuntu)
Undecided
Unassigned

Bug Description

This is pretty much the same bug as reported for debian at https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=728678 . I'm not sure how the Ubuntu and Debian bug trackers interact (if at all), so reporting here as well. (I've tried confirming the bug there, but not sure if they'll accept a package with "ubuntu" in the confirmation version...)

Summary:

running evince on some pdf files, including http://www.nyc.gov/html/lpc/downloads/pdf/maps/BedStuy_ExpStuyHeights_DESIGNATION_FINAL%20MAP.pdf causes the following error messages to be output to the console a number of times:
"*** BUG ***
In pixman_region32_init_rect: Invalid rectangle passed
Set a breakpoint on '_pixman_log_error' to debug"

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: libpixman-1-0 0.30.2-2ubuntu1
ProcVersionSignature: Ubuntu 3.13.0-57.95-generic 3.13.11-ckt21
Uname: Linux 3.13.0-57-generic x86_64
.tmp.unity.support.test.0:

ApportVersion: 2.14.1-0ubuntu3.11
Architecture: amd64
CompizPlugins: [core,bailer,detection,composite,opengl,compiztoolbox,decor,mousepoll,grid,snap,regex,wall,animation,place,move,resize,gnomecompat,imgpng,vpswitch,workarounds,unitymtgrabhandles,fade,expo,session,scale,ezoom,unityshell]
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
CurrentDesktop: Unity
Date: Thu Jul 9 14:56:27 2015
Dependencies:
 gcc-4.9-base 4.9.1-0ubuntu1
 libc6 2.19-0ubuntu6.6
 libgcc1 1:4.9.1-0ubuntu1
 multiarch-support 2.19-0ubuntu6.6
DistUpgraded: Fresh install
DistroCodename: trusty
DistroVariant: ubuntu
GraphicsCard:
 Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0126] (rev 09) (prog-if 00 [VGA controller])
   Subsystem: Dell Device [1028:0494]
 NVIDIA Corporation GF119M [NVS 4200M] [10de:1056] (rev a1) (prog-if 00 [VGA controller])
   Subsystem: Dell Device [1028:1494]
InstallationDate: Installed on 2015-06-23 (16 days ago)
InstallationMedia: Ubuntu 14.04.1 LTS "Trusty Tahr" - Release amd64 (20140722.2)
MachineType: Dell Inc. Latitude E6520
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-57-generic root=UUID=ddefc523-a43d-4094-aa6b-b4dee85a7fbe ro quiet splash vt.handoff=7
SourcePackage: pixman
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 10/18/2011
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A08
dmi.board.name: 0J4TFW
dmi.board.vendor: Dell Inc.
dmi.board.version: A01
dmi.chassis.type: 9
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA08:bd10/18/2011:svnDellInc.:pnLatitudeE6520:pvr01:rvnDellInc.:rn0J4TFW:rvrA01:cvnDellInc.:ct9:cvr:
dmi.product.name: Latitude E6520
dmi.product.version: 01
dmi.sys.vendor: Dell Inc.
version.compiz: compiz 1:0.9.11.3+14.04.20150313-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.60-2~ubuntu14.04.1
version.libgl1-mesa-dri: libgl1-mesa-dri 10.1.3-0ubuntu0.4
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 10.1.3-0ubuntu0.4
version.xserver-xorg-core: xserver-xorg-core 2:1.15.1-0ubuntu2.7
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.8.2-1ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.3.0-1ubuntu3.1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.910-0ubuntu1.6
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.10-1ubuntu2
xserver.bootTime: Thu Jul 9 13:36:06 2015
xserver.configfile: default
xserver.errors:
 Failed to load module "nvidia" (module does not exist, 0)
 Failed to load module "nvidia" (module does not exist, 0)
 NOUVEAU(G0): [XvMC] Failed to initialize extension.
xserver.logfile: /var/log/Xorg.0.log
xserver.outputs:
 product id 1235
 vendor SAM
xserver.version: 2:1.15.1-0ubuntu2.7

Steve Kroon (kroon) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in pixman (Ubuntu):
status: New → Confirmed
Cd-MaN (x-at-y-or-z) wrote :

This also happens to be me. Some information:

Distributor ID: Ubuntu
Description: Ubuntu 15.10
Release: 15.10
Codename: wily

Video card:
00:02.0 VGA compatible controller: Intel Corporation Haswell-ULT Integrated Graphics Controller (rev 0b)

Linux 4.2.0-25-generic #30-Ubuntu SMP Mon Jan 18 12:31:50 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

Versions:
libpixman-1-0: 0.32.6-3
libcairo2: 1.14.2-2ubuntu
evince: 3.16.1-0ubuntu

See attachment for full backtrace.

Doug McNutt (dmcnutt) wrote :

Just hoping someone cares here's another data point. The -w (preview) option comes up with a different CRITICAL.
Both requests seem to operate OK. It's just the error message that messes up the display in Terminal.

evince ItWorks.pdf > /dev/null
(evince:7175): Gtk-CRITICAL **: gtk_widget_show: assertion 'GTK_IS_WIDGET (widget)' failed

evince -w ItWorks.pdf > /dev/null
(evince-previewer:7163): EvinceView-CRITICAL **: ev_page_cache_get_form_field_mapping: assertion 'EV_IS_PAGE_CACHE (cache)' failed

Phil Wolff (adiabat) wrote :

Easy way to generate the error message if you've got gtkmm-3.0: compile and execute the code at https://git.gnome.org/browse/gtkmm-documentation/tree/examples/book/treeview/listviewtext. Grab the bottom of the window and drag it up until the column header row begins to be occluded.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers